From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/wheel/
Date: Mon, 30 Oct 2023 18:10:00 +0000 (UTC) [thread overview]
Message-ID: <1698689077.162c8bebc9eb51b2f54ccf2fc1968d56aba42b98.mgorny@gentoo> (raw)
commit: 162c8bebc9eb51b2f54ccf2fc1968d56aba42b98
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 30 17:31:41 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 30 18:04:37 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=162c8beb
dev-python/wheel: Bump to 0.41.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/wheel/Manifest | 1 +
dev-python/wheel/wheel-0.41.3.ebuild | 40 ++++++++++++++++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-python/wheel/Manifest b/dev-python/wheel/Manifest
index 0de60b397db9..07095c15add6 100644
--- a/dev-python/wheel/Manifest
+++ b/dev-python/wheel/Manifest
@@ -1 +1,2 @@
DIST wheel-0.41.2.tar.gz 98050 BLAKE2B 211c3021179e2f80036f57d59583ac449e91558e64fb10cc5b925d93f7288c6db444ca2ac35a20b13a2646641885c094faa458b591554f3bd926c53a3d099ec2 SHA512 46632c2e61f286d33609bc7f954da86c537e4c70b30cb57e79ae8fd5e4422f4fb46dcf2434361d3c6b45b9e5adc6cbf33daa1cd2fc40f31a393162c97ed38356
+DIST wheel-0.41.3.tar.gz 98880 BLAKE2B 3d07d03fabb3c339aecca772fa2229d92893c0fcdffaba726e2be2255f24e728d7d77dc33a03755f01f03e66e8ce098ec6e6d354776c1ee7fe58fa8a02a1e593 SHA512 53fde824b563167825d8f8b5f802bf419f5b1ae823665d27ac8cfe05eee372ea339f8203d1565044c2cae901fe539a2353559351a6a5dafd26c65dde4e2e5eda
diff --git a/dev-python/wheel/wheel-0.41.3.ebuild b/dev-python/wheel/wheel-0.41.3.ebuild
new file mode 100644
index 000000000000..63a78566d3c1
--- /dev/null
+++ b/dev-python/wheel/wheel-0.41.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A built-package format for Python"
+HOMEPAGE="
+ https://github.com/pypa/wheel/
+ https://pypi.org/project/wheel/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unbundle packaging
+ rm -r src/wheel/vendored || die
+ sed -i -e 's:\.vendored\.::' src/wheel/*.py || die
+ sed -i -e 's:wheel\.vendored\.::' tests/*.py || die
+
+ distutils-r1_src_prepare
+}
next reply other threads:[~2023-10-30 18:10 UTC|newest]
Thread overview: 102+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-10-30 18:10 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-23 7:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/wheel/ Michał Górny
2024-11-09 8:27 Michał Górny
2024-08-24 13:06 Michał Górny
2024-08-24 9:05 Arthur Zamarin
2024-08-05 11:48 Michał Górny
2024-03-30 14:27 Michał Górny
2024-03-30 14:25 Michał Górny
2024-03-12 5:13 Michał Górny
2023-12-15 10:52 Michał Górny
2023-12-15 10:44 Arthur Zamarin
2023-11-29 10:15 Michał Górny
2023-11-29 10:12 Michał Górny
2023-11-26 19:37 Arthur Zamarin
2023-09-25 18:49 Michał Górny
2023-09-25 17:00 Arthur Zamarin
2023-08-24 12:47 Michał Górny
2023-08-22 20:01 Michał Górny
2023-08-05 14:53 Michał Górny
2023-07-22 12:58 Arthur Zamarin
2023-05-23 15:42 Michał Górny
2023-04-13 6:32 Michał Górny
2023-04-13 4:56 Sam James
2023-03-14 16:57 Michał Górny
2022-11-25 13:52 Michał Górny
2022-11-25 13:44 Arthur Zamarin
2022-11-11 6:41 Arthur Zamarin
2022-11-09 8:38 Michał Górny
2022-11-05 20:35 Arthur Zamarin
2022-11-05 20:35 Arthur Zamarin
2022-11-04 18:06 Arthur Zamarin
2022-11-04 18:06 Arthur Zamarin
2022-10-21 5:14 Michał Górny
2022-04-10 12:32 Fabian Groffen
2022-02-27 18:58 Michał Górny
2022-02-27 12:29 Jakov Smolić
2022-01-26 20:18 Michał Górny
2022-01-26 20:01 Arthur Zamarin
2022-01-26 12:21 Michał Górny
2021-12-23 9:30 Michał Górny
2021-09-12 7:44 Michał Górny
2021-09-12 7:09 Agostino Sarubbo
2021-08-10 5:17 Michał Górny
2021-05-05 18:20 Michał Górny
2021-01-13 20:16 Michał Górny
2021-01-13 19:06 Sam James
2021-01-05 21:27 Michał Górny
2021-01-05 21:00 Sam James
2020-12-14 8:35 Michał Górny
2020-12-06 9:14 Michał Górny
2020-12-03 19:37 Louis Sautier
2020-12-02 9:20 Michał Górny
2020-11-28 14:09 Sam James
2020-09-20 14:36 Michał Górny
2020-09-18 15:53 Michał Górny
2020-09-17 16:19 Sam James
2020-08-22 7:13 Michał Górny
2020-08-15 8:44 Michał Górny
2020-08-14 11:50 Michał Górny
2020-05-25 20:30 Michał Górny
2020-03-29 12:03 Michał Górny
2020-03-29 12:03 Michał Górny
2020-03-29 12:03 Michał Górny
2020-03-25 15:27 Agostino Sarubbo
2020-03-25 14:52 Agostino Sarubbo
2020-03-25 13:27 Agostino Sarubbo
2020-03-25 13:12 Agostino Sarubbo
2020-03-25 12:36 Agostino Sarubbo
2020-03-25 12:23 Agostino Sarubbo
2020-01-31 6:25 Michał Górny
2019-12-29 20:03 Sergei Trofimovich
2019-12-29 9:08 Mikle Kolyada
2019-12-23 9:36 Mikle Kolyada
2019-12-15 14:15 Agostino Sarubbo
2019-12-15 14:07 Agostino Sarubbo
2019-12-15 13:59 Agostino Sarubbo
2019-12-15 13:53 Agostino Sarubbo
2019-12-15 13:36 Sergei Trofimovich
2019-12-15 11:38 Agostino Sarubbo
2019-12-02 2:48 Aaron Bauman
2019-11-24 12:26 Michał Górny
2019-11-24 12:26 Michał Górny
2019-04-12 5:01 Tim Harder
2018-12-16 8:13 Tim Harder
2018-10-24 0:36 Matthew Thode
2018-06-26 0:05 Tim Harder
2018-06-03 13:55 Mike Frysinger
2018-02-21 17:20 Michał Górny
2017-10-19 8:20 Tim Harder
2017-03-16 8:36 Michael Weber
2017-01-30 20:05 Tim Harder
2016-10-09 8:42 Jeroen Roovers
2016-09-25 18:50 Jeroen Roovers
2016-06-06 16:15 Agostino Sarubbo
2016-06-06 8:30 Tobias Klausmann
2016-05-31 19:23 Markus Meier
2016-02-07 12:00 Justin Lecher
2016-02-06 8:51 Justin Lecher
2016-02-05 19:45 Justin Lecher
2015-11-17 10:29 Justin Lecher
2015-10-24 16:42 Mikle Kolyada
2015-09-20 9:33 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1698689077.162c8bebc9eb51b2f54ccf2fc1968d56aba42b98.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox